# Jaxer.Util.Cookie : Object
Return to: Jaxer Framework index

Namespace object holding functions and members for working with client (browser) cookies on the server side.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static get(String name) : String Get a cookie key value | Show Details | 1.0 | no

Parameters

String | name | The name of the cookie to retrieve

Returns

String | Returns the value of the specified cookie or null if the value does not exist.

static getAll() : Object Get an object containing all cookie keys and values from the current request. Each cookie name will become a property on the object and each cookie value will become that property's value. | Show Details | 1.0 | no

Returns

Object | The resulting object of all cookie key/value pairs

static parseSetCookieHeaders(Array setCookieStrings) : Array Parses a given array of an HTTP response's "Set-Cookie" header strings to extract the cookie fields | Show Details | 1.0 | no

Parameters

Array | setCookieStrings | An array of the (string) values of the HTTP response's Set-Cookie headers

Returns

Array | An array of objects, one per Set-Cookie header, with properties corresponding to the name, value, expires, path, and domain values in the header

static set(String name, String value) : void Set a cookie name/value pair | Show Details | 1.0 | no

Parameters

String | name | The name of the cookie to set
String | value | The value of the cookie

aptana_docs